package com.ruoyi.interfaces.mapper;

import com.ruoyi.interfaces.core.CrudDao;
import com.ruoyi.interfaces.core.page.PageParam;
import com.ruoyi.interfaces.domain.PtHelpFile;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PtHelpFileDao extends CrudDao<PtHelpFile, PageParam<PtHelpFile>> {

    int delete(@Param("id") String id);

    PtHelpFile get(@Param("id") String id);

    List<PtHelpFile> list(PtHelpFile ptHelpFile);
}
